"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const child_process_1 = require("child_process");
exports.screencapture = (imageFullName) => {
    let command = "", result = "";
    if (utils_1.isWin()) {
        command = "";
    }
    else if (utils_1.isMac()) {
        command = `screencapture -x -f '${imageFullName}'`;
    }
    else if (utils_1.isLinux()) {
        command = `gnome-screenshot -f '${imageFullName}'`;
    }
    else {
        console.log("We could not capture the screen. Not supported OS!");
    }
    if (command) {
        try {
            child_process_1.execSync(command) + "";
            result = imageFullName;
        }
        catch (error) {
            result = "We could not capture the screen!";
        }
    }
    else {
        result = "No file name provided to catch the screen!";
    }
    return result;
};
//# sourceMappingURL=screenshot-manager.js.map